
# ipc_socket = true | false # (unix only)
# Offer IPC using alacritty msg
# Default: true

# ipc_socket = true




# ENV

[env]
#TERM = "xterm-256color"
TERM = "alacritty"



# WINDOW

[window]
startup_mode = "Windowed"
dynamic_title = true
dynamic_padding = true
decorations = "Full"
decorations_theme_variant = "Dark"
opacity = 0.8
blur = true
dimensions = { columns = 160, lines = 45 }


# SCROLLING

[scrolling]
history = 100000
multiplier = 3


# FONT
[font]
normal = { family = "Hack Nerd Font Mono" }
size = 13
builtin_box_drawing = true


# COLORS

[colors]

[colors.search]
matches = { foreground = "#181818", background = "#ac4242" }
focused_match = { foreground = "#181818", background = "#f4bf75" }

[colors.dim]
black = "#0f0f0f"
red = "#712b2b"
green = "#5f6f3a"
yellow = "#a17e4d"
blue = "#456877"
magenta = "#704d68"
cyan = "#4d7770"
white = "#8e8e8e"

## Cobalt2 theme
[colors.primary]
background = '#122637'
foreground = '#ffffff'

[colors.cursor]
text = '#122637'
cursor = '#f0cb09'

# Normal colors
[colors.normal]
black   = '#000000'
red     = '#ff0000'
green   = '#37dd21'
yellow  = '#fee409'
blue    = '#1460d2'
magenta = '#ff005d'
cyan    = '#00bbbb'
white   = '#bbbbbb'

# Bright colors
[colors.bright]
black   = '#545454'
red     = '#f40d17'
green   = '#3bcf1d'
yellow  = '#ecc809'
blue    = '#5555ff'
magenta = '#ff55ff'
cyan    = '#6ae3f9'
white   = '#ffffff'
# BELL

[bell]
animation = "EaseOutExpo"
duration = 0
#color = "#ffffff"
#command = "None"


# SELECTION

[selection]
semantic_escape_chars = ",│`|:\"' ()[]{}<>\t"
save_to_clipboard = true


# CURSOR

[cursor]
style = { shape = "Beam", blinking = "on" }
unfocused_hollow = true
thickness = 0.15


# MOUSE

[mouse]
hide_when_typing = false

[general]

live_config_reload = true
# GENERAL

import = [
    "~/.config/alacritty/themes/catpuccin-latte.toml",
]

[terminal]


[terminal.shell]
program="/opt/homebrew/bin/tmux"
args=['new-session', '-A', '-s', 'eMac']

